
#pragma once

#include "afxcmn.h"
#include "afxwin.h"

#include "..\..\..\..\Source\WiFi\wclWiFi.h"

using namespace wclWiFi;

// CWiFiHostedNetworkDlg dialog
class CWiFiHostedNetworkDlg : public CDialog
{
// Construction
public:
	CWiFiHostedNetworkDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_WIFIHOSTEDNETWORK_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

private:
	CListCtrl lvHnData;
	CEdit edHnSSID;
	CEdit edHnNumberOfPeers;
	CEdit edHnKey;
	CButton cbHnPersistent;

	CwclWiFiHostedNetwork wclWiFiHostedNetwork;

	void HnAfterOpen(void* Sender);
	void HnBeforeClose(void* Sender);

	void HnClear();

	void HnAddData(const CString& ParamName, const CString& ParamValue);

public:
	afx_msg void OnBnClickedButtonHnOpen();
	afx_msg void OnBnClickedButtonHnClose();
	afx_msg void OnBnClickedButtonHnGetConnectionSettings();
	afx_msg void OnBnClickedButtonHnClear();
	afx_msg void OnBnClickedButtonHnGetKey();
	afx_msg void OnBnClickedButtonHnGetProfile();
	afx_msg void OnBnClickedButtonHnGetSecuritySettings();
	afx_msg void OnBnClickedButtonHnGetStatus();
	afx_msg void OnBnClickedButtonHnRefreshSecuritySettings();
	afx_msg void OnBnClickedButtonHnSetSettings();
	afx_msg void OnBnClickedButtonHnSetKey();
	afx_msg void OnBnClickedButtonHnEnable();
	afx_msg void OnBnClickedButtonHnDisable();
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedButtonHnGetState();
	afx_msg void OnBnClickedButtonHnRestart();
};
